
void dollar4(scicos_block *block,int flag)
{
  int i;
  for(i=0;i< block->nin;i++){
    if (flag ==1 || flag ==6 || flag ==4)
      block->outptr[i][0]=block->z[i];
    else if (flag == 2)
      block->z[i]=block->inptr[i][0];
  }
}
